kind: pipeline
name: buildsite

steps:
- name: restore_cache
  image: appleboy/drone-sftp-cache
  settings:
    server: 192.168.10.5
    port: 22
    username: thomas
    password: 
      from_secret: ssh_password
    path: /tmp/drone
    restore: true
    mount:
      - node_modules

- name: build
  image: node
  commands:
  - npm install
  - npm run build

- name: rebuild_cache
  image: appleboy/drone-sftp-cache
  settings:
    server: 192.168.10.5
    port: 22
    username: thomas
    password: 
      from_secret: ssh_password
    path: /tmp/drone
    rebuild: true
    mount:
      - node_modules

- name: copy
  image: appleboy/drone-scp
  settings:
    host: 192.168.10.5
    username: thomas
    password: 
      from_secret: ssh_password
    port: 22
    target: /home/thomas/swag/www
    source: ./dist/*
    strip_components: 1